﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Backup.aspx.cs" Inherits="WgInquiry.Backup" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>数据备份</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/My97DatePicker/WdatePicker.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body class="body-subpage">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div>
                    <%-- 注意上边距本身有10px，这里设置下面第一个div的margin-top为0 --%>
                    <%-- 注意h5的margin-top本质为父级div的margin-top --%>
                    <h5 class="header" style="margin-top: 0">数据库备份与恢复</h5>
                </div>
                <span class="valign-mid">备份文件名：</span>
                <input id="textFileName" type="text" runat="server" class="valign-mid txt-width150" />
                <asp:Button ID="ButtonBackup" runat="server" Text="备&nbsp;份" CssClass="btn btn-default btn-sm" OnClick="ButtonBackup_Click" />
                <span class="valign-mid" style="padding-left: 10px">创建时间：</span>
                <input id="dateTime1" type="text" runat="server" onclick="WdatePicker({ dateFmt: 'yyyy-MM-dd HH:mm:ss', autoPickDate: true })" class="Wdate valign-mid" style="height: 26px" />
                <span class="valign-mid">~</span>
                <input id="dateTime2" type="text" runat="server" onclick="WdatePicker({ dateFmt: 'yyyy-MM-dd HH:mm:ss', autoPickDate: true })" class="Wdate valign-mid" style="height: 26px" />
                <asp:Button ID="ButtonQuery" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery_Click" />
                <asp:Button ID="ButtonDelete" runat="server" Text="删&nbsp;除" CssClass="btn btn-default btn-sm" OnClientClick="return confirm('操作会删除选中的数据库，且不可恢复，确定要删除吗？');" OnClick="ButtonDelete_Click" />
                <div id="tips" runat="server" class="color-red"></div>
                <asp:GridView ID="GridViewBackup" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" CssClass="margin-top5 table-normal" OnPageIndexChanging="GridViewBackup_PageIndexChanging" OnDataBound="GridViewBackup_DataBound" OnRowCommand="GridViewBackup_RowCommand" OnRowDataBound="GridViewBackup_RowDataBound">
                    <AlternatingRowStyle CssClass="table-alternating" />
                    <PagerStyle CssClass="table-pager" />
                    <Columns>
                        <asp:TemplateField>
                            <HeaderTemplate>
                                <asp:CheckBox ID="CheckBoxSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll_CheckedChanged" />
                            </HeaderTemplate>
                            <ItemTemplate>
                                <asp:CheckBox ID="CheckBoxSelect" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect_CheckedChanged" />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="序号">
                            <ItemTemplate>
                                <asp:Label ID="LabelNumber" runat="server" Text="<%# GridViewBackup.PageIndex * GridViewBackup.PageSize + GridViewBackup.Rows.Count + 1 %>"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="FileName" HeaderText="备份文件名"></asp:BoundField>
                        <asp:BoundField DataField="CreationTime" HeaderText="创建时间"></asp:BoundField>
                        <asp:BoundField DataField="FileLength" HeaderText="文件大小"></asp:BoundField>
                        <asp:TemplateField HeaderText="操作">
                            <ItemTemplate>
                                <asp:HyperLink ID="HyperLinkDownload" runat="server" Text="下载" NavigateUrl='<%# @"Resources\"+Eval("FileName")+".bak" %>' />
                                <asp:LinkButton ID="ButtonRecovery" runat="server" Text="恢复" CommandName="Recovery" CommandArgument="<%# Container.DisplayIndex %>" OnClientClick="return confirm('操作会恢复选中的数据库，并覆盖当前数据库，确定要恢复吗？');" />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <PagerTemplate>
                        <asp:LinkButton ID="LinkButtonFirst" runat="server" Text="首页" CommandName="Page" CommandArgument="First" />
                        <asp:LinkButton ID="LinkButtonPrev" runat="server" Text="上一页" CommandName="Page" CommandArgument="Prev" />
                        <asp:LinkButton ID="LinkButtonNext" runat="server" Text="下一页" CommandName="Page" CommandArgument="Next" />
                        <asp:LinkButton ID="LinkButtonLast" runat="server" Text="尾页" CommandName="Page" CommandArgument="Last" />
                        共<%# ((GridView)Container.Parent.Parent).PageCount %>页&nbsp;
                        转到&nbsp;<asp:DropDownList ID="DropDownListGo" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                        行数&nbsp;<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged">
                            <asp:ListItem>2</asp:ListItem>
                            <asp:ListItem>5</asp:ListItem>
                            <asp:ListItem>10</asp:ListItem>
                            <asp:ListItem>15</asp:ListItem>
                            <asp:ListItem>20</asp:ListItem>
                            <asp:ListItem>50</asp:ListItem>
                            <asp:ListItem>100</asp:ListItem>
                            <asp:ListItem>500</asp:ListItem>
                            <asp:ListItem>1000</asp:ListItem>
                            <asp:ListItem>2000</asp:ListItem>
                        </asp:DropDownList>
                    </PagerTemplate>
                </asp:GridView>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
