﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WgInquiry.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <title>登陆 - 工资查询系统</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/jquery.login.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <div id="header">
            <div class="login-content-wrapper">
                <h2 id="title1" runat="server" style="margin-bottom: 20px">依云工资查询系统</h2>
            </div>
        </div>
        <div id="body" class="highlight">
            <div class="login-content-wrapper">
                <%-- 注意右侧的#logging的宽的为269px，总宽度为800px，至少预留10px --%>
                <div id="announcement" runat="server" style="max-width: 521px"></div>
                <%-- 注意#logging的部分样式以#id的形式在site.css样式表中 --%>
                <div id="logging" style="height: 280px">
                    <%-- 注意table的高度为179px或112px，父div高度为311px，保证上下居中 --%>
                    <table class="login-table">
                        <tr>
                            <td class="text-right">
                                <img alt="用户名" src="Images/user.png" />
                                <span class="valign-mid">用户名：</span>
                            </td>
                            <td class="login-td-padding-right">
                                <input id="txtUser" type="text" runat="server" placeholder="请输入用户名" class="txt-width150" />
                            </td>
                        </tr>
                        <tr>
                            <td class="text-right">
                                <img alt="密码" src="Images/password.png" />
                                <span class="valign-mid">密</span>
                                <span class="valign-mid" style="padding-left: 10px">码：</span>
                            </td>
                            <td>
                                <input id="txtPwd" type="password" runat="server" placeholder="请输入密码" class="txt-width150" />
                            </td>
                        </tr>
                        <tr id="trRandomCodeInput" runat="server">
                            <td class="text-right">
                                <img alt="验证码" src="Images/check.png" />
                                <span class="valign-mid">验证码：</span>
                            </td>
                            <td>
                                <input id="txtRandomCode" type="text" runat="server" class="txt-width150 valign-mid" onfocus="$('#trRandomCode').show();" onkeyup="TxtOnKeyUp()" />
                                <asp:UpdatePanel ID="UpdatePanelCheck" runat="server" RenderMode="Inline">
                                    <ContentTemplate>
                                        <img id="imgCheck" runat="server" alt="True/False" src="Images/minus.png" style="display: none" />
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                                <script>function TxtOnKeyUp() { if (event.keyCode !== "13") $("#<%= ButtonOnKeyUp.ClientID %>").click(); }</script>
                            </td>
                        </tr>
                        <tr id="trRandomCode" style="display: none">
                            <td>&nbsp;</td>
                            <td>
                                <%-- ReSharper disable once Asp.Warning --%>
                                <img id="imgRandomCode" src="Create.aspx" alt="验证码" />
                                <a class="valign-mid" style="cursor: pointer; margin-left: 5px" onclick="$('#txtRandomCode').val('').focus(); $('#imgCheck').attr('src', 'Images/minus.png'); $('#imgRandomCode').attr('src', 'Create.aspx?p='+Math.random());">换一张</a>
                            </td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td>
                                <asp:UpdatePanel ID="UpdatePanelLogin" runat="server">
                                    <ContentTemplate>
                                        <div id="error" role="alert" class="alert alert-danger" style="width: 150px; margin-bottom: 10px; padding: 0 10px; font-family: Tahoma; display: none">
                                            <img alt="错误" src="Images/error.png" />
                                            <span id="tips" runat="server" class="valign-mid"></span>
                                        </div>
                                        <asp:Button ID="ButtonLogin" runat="server" Text="登&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;录" CssClass="btn btn-primary btn-sm btn-width150" OnClick="ButtonLogin_Click" />
                                        <div style="display: none">
                                            <asp:Button ID="ButtonOnKeyUp" runat="server" UseSubmitBehavior="False" OnClick="ButtonOnKeyUp_Click" />
                                        </div>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div id="footer" class="footer">
            <div class="login-content-wrapper">
                &copy; <%= DateTime.Now.Year %> <a href="http://www.yiyunsoftware.com/" target="_blank">武汉依云软件有限公司</a>
            </div>
        </div>
    </form>
</body>
</html>
