﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LogX.aspx.cs" Inherits="WgInquiry.LogX" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>登录日志</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/My97DatePicker/WdatePicker.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <script src="Scripts/jquery.tv.style.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body class="body-subpage">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div id="treeView">
                    <asp:TreeView ID="TreeViewLog" runat="server" NodeIndent="10" ShowLines="True" CssClass="treeview" OnSelectedNodeChanged="TreeViewLog_SelectedNodeChanged">
                        <Nodes>
                            <asp:TreeNode Text="登陆日志列表" Value="0" Selected="True">
                                <asp:TreeNode Text="异常登陆" Value="1"></asp:TreeNode>
                                <asp:TreeNode Text="正常登陆" Value="2"></asp:TreeNode>
                            </asp:TreeNode>
                        </Nodes>
                        <NodeStyle HorizontalPadding="2px" ImageUrl="Images/department.png" />
                        <LevelStyles>
                            <asp:TreeNodeStyle ImageUrl="Images/company.png" />
                        </LevelStyles>
                        <HoverNodeStyle CssClass="node-hover" />
                        <SelectedNodeStyle CssClass="node-selected" />
                    </asp:TreeView>
                </div>
                <div id="featured">
                    <span class="valign-mid">访问时间：</span>
                    <input id="dateTime1" type="text" runat="server" onclick="WdatePicker({ dateFmt: 'yyyy-MM-dd HH:mm:ss', autoPickDate: true })" class="Wdate valign-mid" style="height: 26px" />
                    <span class="valign-mid">~</span>
                    <input id="dateTime2" type="text" runat="server" onclick="WdatePicker({ dateFmt: 'yyyy-MM-dd HH:mm:ss', autoPickDate: true })" class="Wdate valign-mid" style="height: 26px" />
                    <asp:Button ID="ButtonQuery" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery_Click" />
                    <asp:Button ID="ButtonSetLoginAddr" runat="server" Text="设置常用登陆地点…" CssClass="btn btn-default btn-sm" OnClientClick="$('#setLoginAddrMessage').hide(); $('#setLoginAddrModal').modal(); $('body').css('min-width', $('#setLoginAddrModal > div').css('width'));" OnClick="ButtonSetLoginAddr_Click" />
                    <asp:Button ID="ButtonExportLog" runat="server" Text="导出Excel…" CssClass="btn btn-default btn-sm" OnClick="ButtonExportLog_Click" />
                    <asp:GridView ID="GridViewLog" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" DataKeyNames="ID" CssClass="margin-top5 table-normal" OnDataBound="GridViewLog_DataBound" OnRowDataBound="GridViewLog_RowDataBound">
                        <AlternatingRowStyle CssClass="table-alternating" />
                        <PagerStyle CssClass="table-pager" />
                        <Columns>
                            <asp:TemplateField>
                                <HeaderTemplate>
                                    <asp:CheckBox ID="CheckBoxSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll_CheckedChanged" />
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <asp:CheckBox ID="CheckBoxSelect" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect_CheckedChanged" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="序号">
                                <ItemTemplate>
                                    <asp:Label ID="LabelRowNumber" runat="server" Text='<%# Bind("序号") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="UserX" HeaderText="用户名"></asp:BoundField>
                            <asp:BoundField DataField="IdentityX" HeaderText="证件号"></asp:BoundField>
                            <asp:BoundField DataField="UserName" HeaderText="姓名"></asp:BoundField>
                            <asp:BoundField DataField="Department" HeaderText="部门"></asp:BoundField>
                            <asp:BoundField DataField="IP" HeaderText="IP地址"></asp:BoundField>
                            <asp:BoundField DataField="Location" HeaderText="登录地点"></asp:BoundField>
                            <asp:BoundField DataField="AccessTime" HeaderText="访问时间"></asp:BoundField>
                            <asp:TemplateField HeaderText="登录验证">
                                <ItemTemplate>
                                    <asp:Label ID="LabelIsSuccess" runat="server" Text='<%# (bool)Eval("IsSuccess") ? "√" : "×" %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                        <PagerTemplate>
                            <asp:LinkButton ID="LinkButtonFirst" runat="server" Text="首页" OnClick="LinkButtonFirst_Click" />
                            <asp:LinkButton ID="LinkButtonPrev" runat="server" Text="上一页" OnClick="LinkButtonPrev_Click" />
                            <asp:LinkButton ID="LinkButtonNext" runat="server" Text="下一页" OnClick="LinkButtonNext_Click" />
                            <asp:LinkButton ID="LinkButtonLast" runat="server" Text="尾页" OnClick="LinkButtonLast_Click" />&nbsp;&nbsp;
                            共<asp:Label ID="LabelPageCount" runat="server"></asp:Label>页&nbsp;
                            转到&nbsp;<asp:DropDownList ID="DropDownListGo" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                            行数&nbsp;<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged">
                                <asp:ListItem>2</asp:ListItem>
                                <asp:ListItem>5</asp:ListItem>
                                <asp:ListItem>10</asp:ListItem>
                                <asp:ListItem>15</asp:ListItem>
                                <asp:ListItem>20</asp:ListItem>
                                <asp:ListItem>50</asp:ListItem>
                                <asp:ListItem>100</asp:ListItem>
                                <asp:ListItem>500</asp:ListItem>
                                <asp:ListItem>1000</asp:ListItem>
                                <asp:ListItem>2000</asp:ListItem>
                            </asp:DropDownList>
                        </PagerTemplate>
                    </asp:GridView>
                </div>
            </ContentTemplate>
            <Triggers>
                <%-- 要导出Excel必须使ButtonExportLog可以PostBack --%>
                <asp:PostBackTrigger ControlID="ButtonExportLog" />
            </Triggers>
        </asp:UpdatePanel>
        <!-- SetLoginAddrModal -->
        <asp:Panel ID="PanelSetLoginAddrModal" runat="server" DefaultButton="ButtonSetLoginAddrOk">
            <div id="setLoginAddrModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">设置常用登陆地点</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelSetLoginAddr1" runat="server">
                                <ContentTemplate>
                                    常用地点：<input runat="server" id="textLoginAddr" type="text" placeholder="-------国家 省 市-------" />
                                    <div id="setLoginAddrMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="setLoginAddrCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="setLoginAddrTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelSetLoginAddr2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonSetLoginAddrOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonSetLoginAddrOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
    </form>
</body>
</html>
