﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Mng12.aspx.cs" Inherits="WgInquiry.Mng12" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>工资管理</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/My97DatePicker/WdatePicker.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <script src="Scripts/jquery.tv.style.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body class="body-subpage">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div id="treeView">
                    <asp:TreeView ID="TreeViewTemplate" runat="server" NodeIndent="10" ShowLines="True" CssClass="treeview" OnSelectedNodeChanged="TreeViewTemplate_SelectedNodeChanged">
                        <NodeStyle ImageUrl="Images/department.png" HorizontalPadding="2px" />
                        <LevelStyles>
                            <asp:TreeNodeStyle ImageUrl="Images/company.png" />
                        </LevelStyles>
                        <HoverNodeStyle CssClass="node-hover" />
                        <SelectedNodeStyle CssClass="node-selected" />
                    </asp:TreeView>
                </div>
                <div id="featured">
                    <asp:DropDownList ID="DropDownListQuery" runat="server" CssClass="valign-mid">
                        <asp:ListItem Value="Staff.IdentityX">证件号</asp:ListItem>
                        <asp:ListItem Value="UserName">姓名</asp:ListItem>
                        <asp:ListItem Value="Department">部门</asp:ListItem>
                    </asp:DropDownList>
                    <input id="textQuery" type="text" runat="server" class="valign-mid txt-width150" />
                    <asp:Button ID="ButtonQuery1" runat="server" Text="查询1" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery1_Click" />
                    <span class="valign-mid">年月：</span>
                    <input id="dateTime1" type="text" runat="server" onclick="WdatePicker({ dateFmt: 'yyyy-MM', autoPickDate: true })" class="Wdate valign-mid" style="height: 26px; width: 100px" />
                    <span class="valign-mid">~</span>
                    <input id="dateTime2" type="text" runat="server" onclick="WdatePicker({ dateFmt: 'yyyy-MM', autoPickDate: true })" class="Wdate valign-mid" style="height: 26px; width: 100px" />
                    <asp:Button ID="ButtonQuery2" runat="server" Text="查询2" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery2_Click" />
                    <asp:Button ID="ButtonQuery3" runat="server" Text="查询1&2" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery3_Click" />
                    <asp:Button ID="ButtonAddWage" runat="server" Text="添加…" CssClass="btn btn-default btn-sm" OnClientClick="$('#addWageTable').hide(); $('#addWageMessage').hide(); $('#addWageModal').modal(); $('body').css('min-width', $('#addWageModal > div').css('width'));" OnClick="ButtonAddWage_Click" />
                    <asp:Button ID="ButtonDelete" runat="server" Text="删&nbsp;除" CssClass="btn btn-default btn-sm" OnClientClick="return confirm('操作会删除选中员工的工资，且不可恢复，确定要删除吗？');" OnClick="ButtonDelete_Click" />
                    <asp:Button ID="ButtonExportWisTb" runat="server" Text="导出Excel…" CssClass="btn btn-default btn-sm" OnClick="ButtonExportWisTb_Click" />
                    <asp:GridView ID="GridViewWisTb" runat="server" AllowPaging="True" PageSize="15" DataKeyNames="ID" ShowFooter="True" CssClass="margin-top5 table-normal" OnDataBound="GridViewWisTb_DataBound" OnRowDataBound="GridViewWisTb_RowDataBound" OnRowCreated="GridViewWisTb_RowCreated" OnRowCommand="GridViewWisTb_RowCommand">
                        <AlternatingRowStyle CssClass="table-alternating" />
                        <FooterStyle CssClass="table-footer" />
                        <PagerStyle CssClass="table-pager" />
                        <Columns>
                            <asp:TemplateField>
                                <HeaderTemplate>
                                    <asp:CheckBox ID="CheckBoxSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll_CheckedChanged" />
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <asp:CheckBox ID="CheckBoxSelect" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect_CheckedChanged" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="操作">
                                <ItemTemplate>
                                    <asp:LinkButton ID="ButtonEdit" runat="server" Text="编辑" CommandName="ButtonEdit" CommandArgument="<%# Container.DisplayIndex %>" OnClientClick="$('#editWageTable').hide(); $('#editWageMessage').hide(); $('#editWageModal').modal(); $('body').css('min-width', $('#editWageModal > div').css('width'));" />
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                        <PagerTemplate>
                            <asp:LinkButton ID="LinkButtonFirst" runat="server" Text="首页" OnClick="LinkButtonFirst_Click" />
                            <asp:LinkButton ID="LinkButtonPrev" runat="server" Text="上一页" OnClick="LinkButtonPrev_Click" />
                            <asp:LinkButton ID="LinkButtonNext" runat="server" Text="下一页" OnClick="LinkButtonNext_Click" />
                            <asp:LinkButton ID="LinkButtonLast" runat="server" Text="尾页" OnClick="LinkButtonLast_Click" />&nbsp;&nbsp;
                            共<asp:Label ID="LabelPageCount" runat="server"></asp:Label>页&nbsp;
                            转到&nbsp;<asp:DropDownList ID="DropDownListGo" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                            行数&nbsp;<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged">
                                <asp:ListItem>2</asp:ListItem>
                                <asp:ListItem>5</asp:ListItem>
                                <asp:ListItem>10</asp:ListItem>
                                <asp:ListItem>15</asp:ListItem>
                                <asp:ListItem>20</asp:ListItem>
                                <asp:ListItem>50</asp:ListItem>
                                <asp:ListItem>100</asp:ListItem>
                                <asp:ListItem>500</asp:ListItem>
                                <asp:ListItem>1000</asp:ListItem>
                                <asp:ListItem>2000</asp:ListItem>
                            </asp:DropDownList>
                        </PagerTemplate>
                    </asp:GridView>
                </div>
            </ContentTemplate>
            <Triggers>
                <%-- 要导出Excel必须使ButtonExportWisTb可以PostBack --%>
                <asp:PostBackTrigger ControlID="ButtonExportWisTb" />
            </Triggers>
        </asp:UpdatePanel>
        <!-- AddWageModal -->
        <asp:Panel ID="PanelAddWageModal" runat="server" DefaultButton="ButtonAddWageOk">
            <div id="addWageModal" class="modal fade">
                <div class="modal-dialog" style="width: 684px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">添加员工工资</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelAddWage1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <div id="addWageTable" runat="server" class="clearfix"></div>
                                    <%-- 解决在IE7模式下clearfix不起作用的问题 --%>
                                    <div style="clear: both"></div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                            <asp:UpdatePanel ID="UpdatePanelAddWage2" runat="server">
                                <ContentTemplate>
                                    <div id="addWageMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="addWageCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="addWageTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelAddWage3" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonAddWageOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonAddWageOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- EditWageModal -->
        <asp:Panel ID="PanelEditWageModal" runat="server" DefaultButton="ButtonEditWageOk">
            <div id="editWageModal" class="modal fade">
                <div class="modal-dialog" style="width: 684px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">更新员工工资</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelEditWage1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <input id="editWageId" runat="server" type="hidden" />
                                    <div id="editWageTable" runat="server" class="clearfix"></div>
                                    <%-- 解决在IE7模式下clearfix不起作用的问题 --%>
                                    <div style="clear: both"></div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                            <asp:UpdatePanel ID="UpdatePanelEditWage2" runat="server">
                                <ContentTemplate>
                                    <div id="editWageMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="editWageCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="editWageTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelEditWage3" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonEditWageOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonEditWageOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
    </form>
</body>
</html>
