﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MsgX.aspx.cs" Inherits="WgInquiry.MsgX" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>留言反馈</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <script src="Scripts/jquery.tv.style.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body class="body-subpage">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div id="treeView">
                    <asp:TreeView ID="TreeViewMessage" runat="server" NodeIndent="10" ShowLines="True" CssClass="treeview" OnSelectedNodeChanged="TreeViewMessage_SelectedNodeChanged">
                        <Nodes>
                            <asp:TreeNode Text="留言反馈列表" Value="0" Selected="True">
                                <asp:TreeNode Text="未处理" Value="1"></asp:TreeNode>
                                <asp:TreeNode Text="已处理" Value="2"></asp:TreeNode>
                            </asp:TreeNode>
                        </Nodes>
                        <NodeStyle HorizontalPadding="2px" ImageUrl="Images/department.png" />
                        <LevelStyles>
                            <asp:TreeNodeStyle ImageUrl="Images/company.png" />
                        </LevelStyles>
                        <HoverNodeStyle CssClass="node-hover" />
                        <SelectedNodeStyle CssClass="node-selected" />
                    </asp:TreeView>
                </div>
                <div id="featured">
                    <span id="queryPart" runat="server">
                        <asp:DropDownList ID="DropDownListQuery" runat="server" CssClass="valign-mid">
                            <asp:ListItem Value="IdentityX">证件号</asp:ListItem>
                            <asp:ListItem Value="UserName">姓名</asp:ListItem>
                            <asp:ListItem Value="Department">部门</asp:ListItem>
                        </asp:DropDownList>
                        <input id="textQuery" type="text" runat="server" class="valign-mid txt-width150" />
                        <asp:Button ID="ButtonQuery" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery_Click" />
                    </span>
                    <asp:Button ID="ButtonAddMessage" runat="server" Text="新建留言…" CssClass="btn btn-default btn-sm" OnClientClick="$('#addMessageMessage').hide(); $('#addMessageModal').modal(); $('body').css('min-width', $('#addMessageModal > div').css('width'));" OnClick="ButtonAddMessage_Click" />
                    <asp:Button ID="ButtonDeleteMessage" runat="server" Text="删&nbsp;除" CssClass="btn btn-default btn-sm" OnClientClick="return confirm('操作会删除选中的留言反馈信息，且不可恢复，确定要删除吗？');" OnClick="ButtonDeleteMessage_Click" />
                    <asp:GridView ID="GridViewMessage" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" DataKeyNames="ID" CssClass="margin-top5 table-normal" OnDataBound="GridViewMessage_DataBound" OnRowDataBound="GridViewMessage_RowDataBound" OnRowCommand="GridViewMessage_RowCommand">
                        <AlternatingRowStyle CssClass="table-alternating" />
                        <PagerStyle CssClass="table-pager" />
                        <Columns>
                            <asp:TemplateField>
                                <HeaderTemplate>
                                    <asp:CheckBox ID="CheckBoxSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll_CheckedChanged" />
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <asp:CheckBox ID="CheckBoxSelect" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect_CheckedChanged" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="序号">
                                <ItemTemplate>
                                    <asp:Label ID="LabelRowNumber" runat="server" Text='<%# Bind("序号") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="IdentityX" HeaderText="证件号"></asp:BoundField>
                            <asp:BoundField DataField="UserName" HeaderText="姓名"></asp:BoundField>
                            <asp:BoundField DataField="Department" HeaderText="部门"></asp:BoundField>
                            <asp:BoundField DataField="MessageTime" HeaderText="留言日期"></asp:BoundField>
                            <asp:BoundField DataField="Message" HeaderText="留言内容"></asp:BoundField>
                            <asp:BoundField DataField="FeedbackTime" HeaderText="反馈日期"></asp:BoundField>
                            <asp:BoundField DataField="Feedback" HeaderText="反馈内容"></asp:BoundField>
                            <asp:TemplateField HeaderText="操作">
                                <ItemTemplate>
                                    <asp:LinkButton ID="ButtonFeedback" runat="server" Text="处理" CommandName="ButtonFeedback" CommandArgument="<%# Container.DisplayIndex %>" OnClientClick="$('#feedbackMessage').hide(); $('#feedbackModal').modal(); $('body').css('min-width', $('#feedbackModal > div').css('width'));" />
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                        <PagerTemplate>
                            <asp:LinkButton ID="LinkButtonFirst" runat="server" Text="首页" OnClick="LinkButtonFirst_Click" />
                            <asp:LinkButton ID="LinkButtonPrev" runat="server" Text="上一页" OnClick="LinkButtonPrev_Click" />
                            <asp:LinkButton ID="LinkButtonNext" runat="server" Text="下一页" OnClick="LinkButtonNext_Click" />
                            <asp:LinkButton ID="LinkButtonLast" runat="server" Text="尾页" OnClick="LinkButtonLast_Click" />&nbsp;&nbsp;
                            共<asp:Label ID="LabelPageCount" runat="server"></asp:Label>页&nbsp;
                            转到&nbsp;<asp:DropDownList ID="DropDownListGo" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                            行数&nbsp;<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged">
                                <asp:ListItem>2</asp:ListItem>
                                <asp:ListItem>5</asp:ListItem>
                                <asp:ListItem>10</asp:ListItem>
                                <asp:ListItem>15</asp:ListItem>
                                <asp:ListItem>20</asp:ListItem>
                                <asp:ListItem>50</asp:ListItem>
                                <asp:ListItem>100</asp:ListItem>
                                <asp:ListItem>500</asp:ListItem>
                                <asp:ListItem>1000</asp:ListItem>
                                <asp:ListItem>2000</asp:ListItem>
                            </asp:DropDownList>
                        </PagerTemplate>
                    </asp:GridView>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
        <!-- AddMessageModal -->
        <asp:Panel ID="PanelAddMessage" runat="server" DefaultButton="ButtonAddMessageOk">
            <div id="addMessageModal" class="modal fade">
                <div class="modal-dialog" style="width: 482px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">新建留言</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelAddMessage1" runat="server">
                                <ContentTemplate>
                                    <div style="font-weight: bold">
                                        证件号：<asp:Label ID="LabelIdentityX1" runat="server"></asp:Label>&nbsp;
                                        姓名：<asp:Label ID="LabelUserName1" runat="server"></asp:Label>&nbsp;
                                        部门：<asp:Label ID="LabelDepartment1" runat="server"></asp:Label>
                                    </div>
                                    <table class="margin-top10" style="width: 100%">
                                        <tr>
                                            <td style="width: 70px; vertical-align: top; color: #7030a0">留言内容：</td>
                                            <td>
                                                <textarea id="textAreaMessage" runat="server" rows="5" style="width: 379px; color: #7030a0"></textarea>
                                            </td>
                                        </tr>
                                    </table>
                                    <div id="addMessageMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="addMessageCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="addMessageTips" runat="server" style="vertical-align: middle">留言新建成功！</span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelAddMessage2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonAddMessageOk" CssClass="btn btn-primary btn-sm" runat="server" Text="发送" OnClick="ButtonAddMessageOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- FeedbackModal -->
        <asp:Panel ID="PanelFeedbackModal" runat="server" DefaultButton="ButtonFeedbackOk">
            <div id="feedbackModal" class="modal fade">
                <div class="modal-dialog" style="width: 482px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">留言反馈</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelFeedback1" runat="server">
                                <ContentTemplate>
                                    <div style="font-weight: bold">
                                        <asp:Label ID="LabelID" runat="server" Visible="False"></asp:Label>
                                        证件号：<asp:Label ID="LabelIdentityX2" runat="server"></asp:Label>&nbsp;
                                        姓名：<asp:Label ID="LabelUserName2" runat="server"></asp:Label>&nbsp;
                                        部门：<asp:Label ID="LabelDepartment2" runat="server"></asp:Label>
                                    </div>
                                    <table class="margin-top5" style="width: 100%">
                                        <tr>
                                            <td style="width: 70px">留言日期：</td>
                                            <td>
                                                <asp:Label ID="LabelMessageTime" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="vertical-align: top">留言内容：</td>
                                            <td style="padding-bottom: 5px">
                                                <asp:Label ID="LabelMessage" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr style="color: #7030a0">
                                            <td>回复日期：</td>
                                            <td>
                                                <asp:Label ID="LabelFeedbackTime" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr style="color: #7030a0">
                                            <td style="vertical-align: top">回复内容：</td>
                                            <td style="padding-bottom: 5px">
                                                <asp:Label ID="LabelFeedback" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="feedBack" runat="server">
                                            <td style="color: red; vertical-align: top">反馈内容：</td>
                                            <td>
                                                <textarea id="textAreaFeedback" runat="server" rows="5" style="width: 379px; color: red"></textarea>
                                            </td>
                                        </tr>
                                    </table>
                                    <div id="feedbackMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="feedbackCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="feedbackTips" runat="server" style="vertical-align: middle">留言反馈成功！</span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelFeedback2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonFeedbackOk" CssClass="btn btn-primary btn-sm" runat="server" Text="发送" OnClick="ButtonFeedbackOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
    </form>
</body>
</html>
