﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Role.aspx.cs" Inherits="WgInquiry.Role" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>角色管理</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <script src="Scripts/jquery.tv.style.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<%-- 清除右下内边距10px，由子元素设置右下外边距10px，因为并列的子元素可能漂移到下一行 --%>
<body class="body-subpage" style="padding-right: 0; padding-bottom: 0">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div id="treeView">
                    <asp:TreeView ID="TreeViewRole" runat="server" NodeIndent="10" ShowLines="True" CssClass="treeview" OnSelectedNodeChanged="TreeViewRole_SelectedNodeChanged">
                        <Nodes>
                            <asp:TreeNode Text="角色用户列表" Value="0" Selected="True">
                                <asp:TreeNode Text="系统管理员" Value="1"></asp:TreeNode>
                                <asp:TreeNode Text="部门经理" Value="2"></asp:TreeNode>
                                <asp:TreeNode Text="普通用户" Value="3"></asp:TreeNode>
                            </asp:TreeNode>
                        </Nodes>
                        <NodeStyle HorizontalPadding="2px" ImageUrl="Images/department.png" />
                        <LevelStyles>
                            <asp:TreeNodeStyle ImageUrl="Images/company.png" />
                        </LevelStyles>
                        <HoverNodeStyle CssClass="node-hover" />
                        <SelectedNodeStyle CssClass="node-selected" />
                    </asp:TreeView>
                </div>
                <%-- 以下必须清除浮动，否则JQuery设置高度无效 --%>
                <div id="featured" class="clearfix">
                    <%-- 设置合理的margin-bottom，使得"可选人员"漂移到下一行时，有一定的上边距 --%>
                    <div class="float-left margin-right10 margin-bottom10">
                        <span class="valign-mid">角色人员：</span>
                        <asp:DropDownList ID="DropDownListQuery1" runat="server" CssClass="valign-mid">
                            <asp:ListItem Value="IdentityX">证件号</asp:ListItem>
                            <asp:ListItem Value="UserName">姓名</asp:ListItem>
                            <asp:ListItem Value="Department">部门</asp:ListItem>
                        </asp:DropDownList>
                        <input id="textQuery1" type="text" runat="server" class="valign-mid txt-width150" />
                        <asp:Button ID="ButtonQuery1" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery1_Click" />
                        <asp:Button ID="ButtonDeleteRole" runat="server" Text="移&nbsp;除" CssClass="btn btn-default btn-sm" OnClick="ButtonDeleteRole_Click" />
                        <asp:GridView ID="GridViewRole1" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" DataKeyNames="ID" CssClass="margin-top5 table-normal" OnDataBound="GridViewRole1_DataBound">
                            <AlternatingRowStyle CssClass="table-alternating" />
                            <PagerStyle CssClass="table-pager" />
                            <Columns>
                                <asp:TemplateField>
                                    <HeaderTemplate>
                                        <asp:CheckBox ID="CheckBoxSelectAll1" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll1_CheckedChanged" />
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:CheckBox ID="CheckBoxSelect1" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect1_CheckedChanged" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="序号" HeaderText="序号"></asp:BoundField>
                                <asp:BoundField DataField="IdentityX" HeaderText="证件号"></asp:BoundField>
                                <asp:BoundField DataField="UserName" HeaderText="姓名"></asp:BoundField>
                                <asp:BoundField DataField="Department" HeaderText="部门"></asp:BoundField>
                            </Columns>
                            <PagerTemplate>
                                <asp:LinkButton ID="LinkButtonFirst1" runat="server" Text="首页" OnClick="LinkButtonFirst1_Click" />
                                <asp:LinkButton ID="LinkButtonPrev1" runat="server" Text="上一页" OnClick="LinkButtonPrev1_Click" />
                                <asp:LinkButton ID="LinkButtonNext1" runat="server" Text="下一页" OnClick="LinkButtonNext1_Click" />
                                <asp:LinkButton ID="LinkButtonLast1" runat="server" Text="尾页" OnClick="LinkButtonLast1_Click" />&nbsp;&nbsp;
                                共<asp:Label ID="LabelPageCount1" runat="server"></asp:Label>页&nbsp;
                                转到&nbsp;<asp:DropDownList ID="DropDownListGo1" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo1_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                                行数&nbsp;<asp:DropDownList ID="DropDownListPageSize1" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize1_SelectedIndexChanged">
                                    <asp:ListItem>2</asp:ListItem>
                                    <asp:ListItem>5</asp:ListItem>
                                    <asp:ListItem>10</asp:ListItem>
                                    <asp:ListItem>15</asp:ListItem>
                                    <asp:ListItem>20</asp:ListItem>
                                    <asp:ListItem>50</asp:ListItem>
                                    <asp:ListItem>100</asp:ListItem>
                                    <asp:ListItem>500</asp:ListItem>
                                    <asp:ListItem>1000</asp:ListItem>
                                    <asp:ListItem>2000</asp:ListItem>
                                </asp:DropDownList>
                            </PagerTemplate>
                        </asp:GridView>
                    </div>
                    <div class="float-left margin-right10 margin-bottom10">
                        <span class="valign-mid">可选人员：</span>
                        <asp:DropDownList ID="DropDownListQuery2" runat="server" CssClass="valign-mid">
                            <asp:ListItem Value="IdentityX">证件号</asp:ListItem>
                            <asp:ListItem Value="UserName">姓名</asp:ListItem>
                            <asp:ListItem Value="Department">部门</asp:ListItem>
                        </asp:DropDownList>
                        <input id="textQuery2" type="text" runat="server" class="valign-mid txt-width150" />
                        <asp:Button ID="ButtonQuery2" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery2_Click" />
                        <asp:Button ID="ButtonAddRole" runat="server" Text="添&nbsp;加" CssClass="btn btn-default btn-sm" OnClick="ButtonAddRole_Click" />
                        <asp:GridView ID="GridViewRole2" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" DataKeyNames="ID" CssClass="margin-top5 table-normal" OnDataBound="GridViewRole2_DataBound">
                            <AlternatingRowStyle CssClass="table-alternating" />
                            <PagerStyle CssClass="table-pager" />
                            <Columns>
                                <asp:TemplateField>
                                    <HeaderTemplate>
                                        <asp:CheckBox ID="CheckBoxSelectAll2" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll2_CheckedChanged" />
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:CheckBox ID="CheckBoxSelect2" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect2_CheckedChanged" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="序号" HeaderText="序号"></asp:BoundField>
                                <asp:BoundField DataField="IdentityX" HeaderText="证件号"></asp:BoundField>
                                <asp:BoundField DataField="UserName" HeaderText="姓名"></asp:BoundField>
                                <asp:BoundField DataField="Department" HeaderText="部门"></asp:BoundField>
                            </Columns>
                            <PagerTemplate>
                                <asp:LinkButton ID="LinkButtonFirst2" runat="server" Text="首页" OnClick="LinkButtonFirst2_Click" />
                                <asp:LinkButton ID="LinkButtonPrev2" runat="server" Text="上一页" OnClick="LinkButtonPrev2_Click" />
                                <asp:LinkButton ID="LinkButtonNext2" runat="server" Text="下一页" OnClick="LinkButtonNext2_Click" />
                                <asp:LinkButton ID="LinkButtonLast2" runat="server" Text="尾页" OnClick="LinkButtonLast2_Click" />&nbsp;&nbsp;
                                共<asp:Label ID="LabelPageCount2" runat="server"></asp:Label>页&nbsp;
                                转到&nbsp;<asp:DropDownList ID="DropDownListGo2" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo2_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                                行数&nbsp;<asp:DropDownList ID="DropDownListPageSize2" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize2_SelectedIndexChanged">
                                    <asp:ListItem>2</asp:ListItem>
                                    <asp:ListItem>5</asp:ListItem>
                                    <asp:ListItem>10</asp:ListItem>
                                    <asp:ListItem>15</asp:ListItem>
                                    <asp:ListItem>20</asp:ListItem>
                                    <asp:ListItem>50</asp:ListItem>
                                    <asp:ListItem>100</asp:ListItem>
                                    <asp:ListItem>500</asp:ListItem>
                                    <asp:ListItem>1000</asp:ListItem>
                                    <asp:ListItem>2000</asp:ListItem>
                                </asp:DropDownList>
                            </PagerTemplate>
                        </asp:GridView>
                    </div>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
