﻿//--------------------------------------------------------------------------------------------------
//  程序说明：框架页面布局、左侧导航菜单事件样式设置
//  Version 6.4.0
//  Copyright (C) 2016 by J.F.Xiong. All rights reserved.
//--------------------------------------------------------------------------------------------------

$(document).ready(function () {
    SetFrameStyle();
    $("#navbarToggle").click(function () { $("#navbar").slideToggle("fast"); });
    $("#navbar > ul > li > ul > li > a").click(NavbarClick);
    $("#navbar > ul > li > a").click(function () { $(this).next().slideToggle("fast"); });
});

$(window).resize(function () { SetFrameStyle(); });

function SetFrameStyle() {
    // 1 设置基准样式，PC端样式优先
    SetFramePcStyle();
    // 2 设置Body中的Children样式
    if ($(window).width() >= 820) SetFramePcStyle(); else SetFrameMobileStyle();
}

function SetFramePcStyle() {
    $("#navbarHeader").css("display", "none"); $("#navbar").css({ "display": "block", "position": "static" });
    var bodyChildHeight = $(window).height() - $("#header").height() - $("#footer").height();
    $("#navbar").addClass("float-left navbar-width").height(bodyChildHeight - 2); // 上下边距各1px
    $("#navbar > ul li").removeClass("float-left");
    $("#navbar > ul li > a").removeClass("menu");
    $("#main").css("margin-left", $("#navbar").width() + 1 + "px");
    $("#iframeMain").contents().find("body").css("overflow-y", "auto");
    $("#iframeMain").width($("#main").width()).height(bodyChildHeight);
}

function SetFrameMobileStyle() {
    $("#navbarHeader").css("display", "block"); $("#navbar").css({ "display": "none", "position": "absolute" });
    $("#navbar").removeClass("float-left navbar-width").height("auto");
    $("#navbar > ul li").addClass("float-left");
    $("#navbar > ul li > a").addClass("menu");
    // 解决IOS下的浏览器中iframe不显示滚动条的问题，只能在代码中设置
    $("#main").css({ "margin-left": "0", "-webkit-overflow-scrolling": "touch", "overflow": "auto" });
    // 在获取body元素包含内补丁高度的基础上增加20，滚动条按20计算
    // 注意$("#iframeMain").contents().find("body").css("overflow-y", "hidden");已在子页中设置，此处略去
    $("#iframeMain").width("100%").height($("#iframeMain").contents().find("body").innerHeight() + 20);
}

function NavbarClick() {
    $("#navbar > ul > li > ul > li > a.selected").removeClass("selected");
    $(this).addClass("selected");
    document.title = $(this).text() + " - 工资查询系统";
    $("#navbarTitle").text($(this).text());
    if ($(window).width() < 820) $("#navbar").hide();
}

function IframeNavigate(iframeSrc) {
    // 注意首页不在二级导航菜单中，需要单独清除前一次选中并设置页面标题
    if (iframeSrc === "Home.aspx") {
        $("#navbar > ul > li > ul > li > a.selected").removeClass("selected");
        document.title = "首页 - 工资查询系统";
        $("#navbarTitle").text("首页");
    }
    $("#iframeMain").attr("src", iframeSrc);
}
