﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Staff12.aspx.cs" Inherits="WgInquiry.Staff12" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>员工管理</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <script src="Scripts/jquery.tv.style.js"></script>
    <script src="Scripts/jquery.tv.click.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body class="body-subpage">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div id="treeView">
                    <asp:TreeView ID="TreeViewDepartment" runat="server" NodeIndent="10" ShowLines="True" CssClass="treeview" OnSelectedNodeChanged="TreeViewDepartment_SelectedNodeChanged">
                        <NodeStyle ImageUrl="Images/department.png" HorizontalPadding="2px" />
                        <LevelStyles>
                            <asp:TreeNodeStyle ImageUrl="Images/company.png" />
                        </LevelStyles>
                        <HoverNodeStyle CssClass="node-hover" />
                        <SelectedNodeStyle CssClass="node-selected" />
                    </asp:TreeView>
                    <%-- 注意popupmenu的样式以#id的形式在site.css样式表中 --%>
                    <div id="popupmenu">
                        <ul>
                            <li>
                                <asp:LinkButton ID="LinkButtonAddRootNode" runat="server" OnClientClick="$('#addRootNodeMessage').hide(); $('#addRootNodeModal').modal(); $('body').css('min-width', $('#addRootNodeModal > div').css('width'));" OnClick="LinkButtonAddRootNode_Click"><img src="Images/addrootnode.png" alt="添加根节点" class="valign-mid" /> 添加根节点…</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonAddChildNode" runat="server" OnClientClick="$('#addChildNodeMessage').hide(); $('#addChildNodeModal').modal(); $('body').css('min-width', $('#addChildNodeModal > div').css('width'));" OnClick="LinkButtonAddChildNode_Click"><img src="Images/addchildnode.png" alt="添加子节点" class="valign-mid" /> 添加子节点...</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonEditNode" runat="server" OnClick="LinkButtonEditNode_Click"><img src="Images/editnode.png" alt="修改节点名称" class="valign-mid" /> 修改名称...</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonDeleteNode" runat="server" OnClientClick="return confirm('操作会删除选中的部门与该部门下的员工信息(包括对应工资与留言反馈)，且不可恢复，确定要删除吗？');" OnClick="LinkButtonDeleteNode_Click"><img src="Images/deletenode.png" alt="删除节点" class="valign-mid" /> 删除节点</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonUpNode" runat="server" OnClick="LinkButtonUpNode_Click"><img src="Images/upnode.png" alt="节点上移" class="valign-mid" /> 节点上移</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonDownNode" runat="server" OnClick="LinkButtonDownNode_Click"><img src="Images/downnode.png" alt="节点下移" class="valign-mid" /> 节点下移</asp:LinkButton>
                            </li>
                        </ul>
                    </div>
                </div>
                <div id="featured">
                    <asp:DropDownList ID="DropDownListQuery" runat="server" CssClass="valign-mid">
                        <asp:ListItem Value="IdentityX">证件号</asp:ListItem>
                        <asp:ListItem Value="UserName">姓名</asp:ListItem>
                        <asp:ListItem Value="Mobile">手机</asp:ListItem>
                    </asp:DropDownList>
                    <input id="textQuery" type="text" runat="server" class="valign-mid txt-width150" />
                    <asp:Button ID="ButtonQuery" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery_Click" />
                    <asp:Button ID="ButtonAddStaff" runat="server" Text="添&nbsp;加" CssClass="btn btn-default btn-sm" OnClick="ButtonAddStaff_Click" />
                    <asp:Button ID="ButtonDelete" runat="server" Text="删&nbsp;除" CssClass="btn btn-default btn-sm" OnClientClick="return confirm('操作会删除选中的员工信息(包括对应工资与留言反馈)，且不可恢复，确定要删除吗？');" OnClick="ButtonDelete_Click" />
                    <asp:Button ID="ButtonImportStaff" runat="server" Text="Excel/CSV导入…" OnClientClick="$('#importStaffModal').modal(); $('body').css('min-width', $('#importStaffModal > div').css('width'));" CssClass="btn btn-default btn-sm" />
                    <asp:Button ID="ButtonExportStaff" runat="server" Text="导出Excel…" CssClass="btn btn-default btn-sm" OnClick="ButtonExportStaff_Click" />
                    <asp:GridView ID="GridViewStaff" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" DataKeyNames="ID,UserRight" CssClass="margin-top5 table-normal" OnRowEditing="GridViewStaff_RowEditing" OnRowUpdating="GridViewStaff_RowUpdating" OnRowCancelingEdit="GridViewStaff_RowCancelingEdit" OnDataBound="GridViewStaff_DataBound" OnRowDataBound="GridViewStaff_RowDataBound">
                        <AlternatingRowStyle CssClass="table-alternating" />
                        <PagerStyle CssClass="table-pager" />
                        <Columns>
                            <asp:TemplateField>
                                <HeaderTemplate>
                                    <asp:CheckBox ID="CheckBoxSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll_CheckedChanged" />
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <asp:CheckBox ID="CheckBoxSelect" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect_CheckedChanged" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="序号">
                                <ItemTemplate>
                                    <asp:Label ID="LabelRowNumber" runat="server" Text='<%# Bind("序号") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="IdentityX" HeaderText="证件号"></asp:BoundField>
                            <asp:BoundField DataField="UserName" HeaderText="姓名"></asp:BoundField>
                            <asp:TemplateField HeaderText="部门">
                                <ItemTemplate>
                                    <asp:Label ID="LabelDepartment" runat="server" Text='<%# Bind("Department") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:DropDownList ID="DropDownListDepartment" runat="server"></asp:DropDownList>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="Tel" HeaderText="电话"></asp:BoundField>
                            <asp:BoundField DataField="Mobile" HeaderText="手机"></asp:BoundField>
                            <asp:BoundField DataField="Email" HeaderText="Email"></asp:BoundField>
                            <asp:TemplateField HeaderText="密码">
                                <ItemTemplate>
                                    <asp:Label ID="LabelPwdSign" runat="server" Text="**********"></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBoxPwdSign" runat="server" TextMode="Password" Width="78"></asp:TextBox>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="操作">
                                <ItemTemplate>
                                    <asp:LinkButton ID="ButtonEdit" runat="server" Text="编辑" CommandName="Edit" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton ID="LinkButtonUpdate" runat="server" Text="更新" CommandName="Update" />
                                    <asp:LinkButton ID="LinkButtonCancel" runat="server" Text="取消" CommandName="Cancel" />
                                    <asp:LinkButton ID="LinkButtonAddOk" runat="server" Text="添加" Visible="False" OnClick="LinkButtonAddOk_Click" />
                                    <asp:LinkButton ID="LinkButtonAddCancel" runat="server" Text="取消" Visible="False" OnClick="LinkButtonAddCancel_Click" />
                                </EditItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                        <PagerTemplate>
                            <asp:LinkButton ID="LinkButtonFirst" runat="server" Text="首页" OnClick="LinkButtonFirst_Click" />
                            <asp:LinkButton ID="LinkButtonPrev" runat="server" Text="上一页" OnClick="LinkButtonPrev_Click" />
                            <asp:LinkButton ID="LinkButtonNext" runat="server" Text="下一页" OnClick="LinkButtonNext_Click" />
                            <asp:LinkButton ID="LinkButtonLast" runat="server" Text="尾页" OnClick="LinkButtonLast_Click" />&nbsp;&nbsp;
                            共<asp:Label ID="LabelPageCount" runat="server"></asp:Label>页&nbsp;
                            转到&nbsp;<asp:DropDownList ID="DropDownListGo" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                            行数&nbsp;<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged">
                                <asp:ListItem>2</asp:ListItem>
                                <asp:ListItem>5</asp:ListItem>
                                <asp:ListItem>10</asp:ListItem>
                                <asp:ListItem>15</asp:ListItem>
                                <asp:ListItem>20</asp:ListItem>
                                <asp:ListItem>50</asp:ListItem>
                                <asp:ListItem>100</asp:ListItem>
                                <asp:ListItem>500</asp:ListItem>
                                <asp:ListItem>1000</asp:ListItem>
                                <asp:ListItem>2000</asp:ListItem>
                            </asp:DropDownList>
                        </PagerTemplate>
                    </asp:GridView>
                </div>
            </ContentTemplate>
            <Triggers>
                <%-- 要导出Excel必须使ButtonExportStaff可以PostBack --%>
                <asp:PostBackTrigger ControlID="ButtonExportStaff" />
            </Triggers>
        </asp:UpdatePanel>
        <!-- AddRootNodeModal -->
        <asp:Panel ID="PanelAddRootNodeModal" runat="server" DefaultButton="ButtonAddRootNodeOk">
            <div id="addRootNodeModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">添加根节点</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelAddRootNode1" runat="server">
                                <ContentTemplate>
                                    根节点名称：<input runat="server" id="textRootNode" type="text" />
                                    <div id="addRootNodeMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="addRootNodeCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="addRootNodeTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelAddRootNode2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonAddRootNodeOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonAddRootNodeOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- AddChildNodeModal -->
        <asp:Panel ID="PanelAddChildNodeModal" runat="server" DefaultButton="ButtonAddChildNodeOk">
            <div id="addChildNodeModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">添加子节点</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelAddChildNode1" runat="server">
                                <ContentTemplate>
                                    子节点名称：<input id="textChildNode" type="text" runat="server" />
                                    <div id="addChildNodeMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="addChildNodeCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="addChildNodeTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelAddChildNode2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonAddChildNodeOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonAddChildNodeOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- EditNodeModal -->
        <asp:Panel ID="PanelEditNodeModal" runat="server" DefaultButton="ButtonEditNodeOk">
            <div id="editNodeModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">修改节点名称</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelEditNode1" runat="server">
                                <ContentTemplate>
                                    节点名称：<input id="textEditNode" type="text" runat="server" />
                                    <div id="editNodeMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="editNodeCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="editNodeTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelEditNode2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonEditNodeOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonEditNodeOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- ImportStaffModal -->
        <asp:Panel ID="PanelImportStaffModal" runat="server" DefaultButton="ButtonImportStaffOk">
            <div id="importStaffModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">批量导入员工</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelImportStaff1" runat="server">
                                <ContentTemplate>
                                    <a href="Resources/Staff.xlsx" class="color-red">下载Excel员工模板(请按模板整理)</a>
                                    <asp:FileUpload ID="FileUploadStaff" runat="server" CssClass="margin-top10" />
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelImportStaff2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonImportStaffOk" runat="server" Text="确定" CssClass="btn btn-primary btn-sm" UseSubmitBehavior="false" OnClientClick="$(this).val('正在导入…'); $(this).attr('disabled', true);" OnClick="ButtonImportStaffOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                                <Triggers>
                                    <%-- 此处需提交页面，因为FileUpload是以Post方式提交的 --%>
                                    <asp:PostBackTrigger ControlID="ButtonImportStaffOk" />
                                </Triggers>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
    </form>
</body>
</html>
