﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Tmpl.aspx.cs" Inherits="WgInquiry.Tmpl" ValidateRequest="false" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>工资模板</title>
    <link href="Content/bootstrap.min.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.12.4.min.js"></script>
    <script src="Scripts/bootstrap.min.js"></script>
    <script src="Scripts/jquery.inside.js"></script>
    <script src="Scripts/jquery.tv.style.js"></script>
    <script src="Scripts/jquery.tv.click.js"></script>
    <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
</head>
<body class="body-subpage">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelMain" runat="server">
            <ContentTemplate>
                <div id="treeView">
                    <asp:TreeView ID="TreeViewTemplate" runat="server" NodeIndent="10" ShowLines="True" CssClass="treeview" OnSelectedNodeChanged="TreeViewTemplate_SelectedNodeChanged">
                        <NodeStyle ImageUrl="Images/department.png" HorizontalPadding="2px" />
                        <LevelStyles>
                            <asp:TreeNodeStyle ImageUrl="Images/company.png" />
                        </LevelStyles>
                        <HoverNodeStyle CssClass="node-hover" />
                        <SelectedNodeStyle CssClass="node-selected" />
                    </asp:TreeView>
                    <%-- 注意popup menu的样式以#id的形式在site.css样式表中 --%>
                    <div id="popupmenu">
                        <ul>
                            <li>
                                <asp:LinkButton ID="LinkButtonAddTemplate" runat="server" OnClientClick="$('#addNodeMessage').hide(); $('#addNodeModal').modal(); $('body').css('min-width', $('#addNodeModal > div').css('width'));" OnClick="LinkButtonAddTemplate_Click"><img src="Images/addchildnode.png" alt="添加模板" class="valign-mid" /> 添加模板...</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonEditNode" runat="server" OnClientClick="$('#editNodeMessage').hide(); $('#editNodeModal').modal(); $('body').css('min-width', $('#editNodeModal > div').css('width'));" OnClick="LinkButtonEditNode_Click"><img src="Images/editnode.png" alt="修改节点名称" class="valign-mid" /> 修改名称...</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonDeleteNode" runat="server" OnClientClick="return confirm('操作会删除选中的模板与该模板下所有上传的工资表文件，且不可恢复，确定要删除吗？');" OnClick="LinkButtonDeleteNode_Click"><img src="Images/deletenode.png" alt="删除节点" class="valign-mid" /> 删除节点</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonUpNode" runat="server" OnClick="LinkButtonUpNode_Click"><img src="Images/upnode.png" alt="节点上移" class="valign-mid" /> 节点上移</asp:LinkButton>
                            </li>
                            <li>
                                <asp:LinkButton ID="LinkButtonDownNode" runat="server" OnClick="LinkButtonDownNode_Click"><img src="Images/downnode.png" alt="节点下移" class="valign-mid" /> 节点下移</asp:LinkButton>
                            </li>
                        </ul>
                    </div>
                </div>
                <div id="featured">
                    <asp:DropDownList ID="DropDownListQuery" runat="server" CssClass="valign-mid">
                        <asp:ListItem Value="FieldCaption">工资项目</asp:ListItem>
                    </asp:DropDownList>
                    <input id="textQuery" type="text" runat="server" class="valign-mid txt-width150" />
                    <asp:Button ID="ButtonQuery" runat="server" Text="查&nbsp;询" CssClass="btn btn-default btn-sm" OnClick="ButtonQuery_Click" />
                    <asp:Button ID="ButtonAddWisField" runat="server" Text="添&nbsp;加" CssClass="btn btn-default btn-sm" OnClick="ButtonAddWisField_Click" />
                    <asp:Button ID="ButtonDelete" runat="server" Text="删&nbsp;除" CssClass="btn btn-default btn-sm" OnClientClick="return confirm('操作会删除选中工资项目，且不可恢复，确定要删除吗？');" OnClick="ButtonDelete_Click" />
                    <asp:Button ID="ButtonDownloadTemplate" runat="server" Text="下载Excel模板…" CssClass="btn btn-default btn-sm" OnClick="ButtonDownloadTemplate_Click" />
                    <asp:Button ID="ButtonSetHeader" runat="server" Text="自定义表头…" CssClass="btn btn-default btn-sm" OnClientClick="$('#setHeaderMessage').hide(); $('#setHeaderModal').modal(); $('body').css('min-width', $('#setHeaderModal > div').css('width'));" OnClick="ButtonSetHeader_Click" />
                    <asp:GridView ID="GridViewWisField" runat="server" AutoGenerateColumns="False" AllowPaging="True" PageSize="15" DataKeyNames="ID,TemplateName" CssClass="margin-top5 table-normal" OnRowEditing="GridViewWisField_RowEditing" OnRowUpdating="GridViewWisField_RowUpdating" OnRowCancelingEdit="GridViewWisField_RowCancelingEdit" OnDataBound="GridViewWisField_DataBound" OnRowDataBound="GridViewWisField_RowDataBound">
                        <AlternatingRowStyle CssClass="table-alternating" />
                        <PagerStyle CssClass="table-pager" />
                        <Columns>
                            <asp:TemplateField>
                                <HeaderTemplate>
                                    <asp:CheckBox ID="CheckBoxSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelectAll_CheckedChanged" />
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <asp:CheckBox ID="CheckBoxSelect" runat="server" AutoPostBack="true" OnCheckedChanged="CheckBoxSelect_CheckedChanged" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="序号">
                                <ItemTemplate>
                                    <asp:Label ID="LabelRowNumber" runat="server" Text='<%# Bind("序号") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="FieldCaption" HeaderText="工资项目"></asp:BoundField>
                            <asp:TemplateField HeaderText="是否统计">
                                <ItemTemplate>
                                    <asp:Label ID="LabelIsSum" runat="server" Text='<%# (bool)Eval("IsSum") ? "√" : "×" %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:CheckBox ID="CheckBoxIsSum" runat="server" Checked='<%# (bool)Eval("IsSum") %>' />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="是否显示">
                                <ItemTemplate>
                                    <asp:Label ID="LabelIsDisplay" runat="server" Text='<%# (bool)Eval("IsDisplay") ? "√" : "×" %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:CheckBox ID="CheckBoxIsDisplay" runat="server" Checked='<%# (bool)Eval("IsDisplay") %>' />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="SortID" HeaderText="字段排序"></asp:BoundField>
                            <asp:TemplateField HeaderText="操作">
                                <ItemTemplate>
                                    <asp:LinkButton ID="ButtonEdit" runat="server" Text="编辑" CommandName="Edit" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:LinkButton ID="LinkButtonUpdate" runat="server" Text="更新" CommandName="Update" />
                                    <asp:LinkButton ID="LinkButtonCancel" runat="server" Text="取消" CommandName="Cancel" />
                                    <asp:LinkButton ID="LinkButtonAddOk" runat="server" Text="添加" Visible="False" OnClick="LinkButtonAddOk_Click" />
                                    <asp:LinkButton ID="LinkButtonAddCancel" runat="server" Text="取消" Visible="False" OnClick="LinkButtonAddCancel_Click" />
                                </EditItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                        <PagerTemplate>
                            <asp:LinkButton ID="LinkButtonFirst" runat="server" Text="首页" OnClick="LinkButtonFirst_Click" />
                            <asp:LinkButton ID="LinkButtonPrev" runat="server" Text="上一页" OnClick="LinkButtonPrev_Click" />
                            <asp:LinkButton ID="LinkButtonNext" runat="server" Text="下一页" OnClick="LinkButtonNext_Click" />
                            <asp:LinkButton ID="LinkButtonLast" runat="server" Text="尾页" OnClick="LinkButtonLast_Click" />&nbsp;&nbsp;
                            共<asp:Label ID="LabelPageCount" runat="server"></asp:Label>页&nbsp;
                            转到&nbsp;<asp:DropDownList ID="DropDownListGo" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListGo_SelectedIndexChanged"></asp:DropDownList>&nbsp;页&nbsp;
                            行数&nbsp;<asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownListPageSize_SelectedIndexChanged">
                                <asp:ListItem>2</asp:ListItem>
                                <asp:ListItem>5</asp:ListItem>
                                <asp:ListItem>10</asp:ListItem>
                                <asp:ListItem>15</asp:ListItem>
                                <asp:ListItem>20</asp:ListItem>
                                <asp:ListItem>50</asp:ListItem>
                                <asp:ListItem>100</asp:ListItem>
                                <asp:ListItem>500</asp:ListItem>
                                <asp:ListItem>1000</asp:ListItem>
                                <asp:ListItem>2000</asp:ListItem>
                            </asp:DropDownList>
                        </PagerTemplate>
                    </asp:GridView>
                </div>
            </ContentTemplate>
            <Triggers>
                <%-- 要下载Excel必须使ButtonDownloadTemplate可以PostBack --%>
                <asp:PostBackTrigger ControlID="ButtonDownloadTemplate" />
            </Triggers>
        </asp:UpdatePanel>
        <!-- AddNodeModal -->
        <asp:Panel ID="PanelAddNodeModal" runat="server" DefaultButton="ButtonAddNodeOk">
            <div id="addNodeModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">添加模板</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelAddNode1" runat="server">
                                <ContentTemplate>
                                    模板名称：<input id="textAddNode" type="text" runat="server" />
                                    <div id="addNodeMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="addNodeCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="addNodeTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelAddNode2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonAddNodeOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonAddNodeOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- EditNodeModal -->
        <asp:Panel ID="PanelEditNodeModal" runat="server" DefaultButton="ButtonEditNodeOk">
            <div id="editNodeModal" class="modal fade">
                <div class="modal-dialog" style="width: 280px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">修改模板名称</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelEditNode1" runat="server">
                                <ContentTemplate>
                                    模板名称：<input id="textEditNode" type="text" runat="server" />
                                    <div id="editNodeMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="editNodeCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="editNodeTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelEditNode2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonEditNodeOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonEditNodeOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
        <!-- SetHeaderModal -->
        <asp:Panel ID="PanelSetHeader" runat="server" DefaultButton="ButtonSetHeaderOk">
            <div id="setHeaderModal" class="modal fade">
                <div class="modal-dialog" style="width: 482px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">自定义表头</h4>
                        </div>
                        <div class="modal-body">
                            <asp:UpdatePanel ID="UpdatePanelSetHeader1" runat="server">
                                <ContentTemplate>
                                    <table style="width: 100%">
                                        <tr>
                                            <td style="width: 70px; vertical-align: top">表头代码：</td>
                                            <td>
                                                <textarea name="textAreaHeader" id="textAreaHeader" runat="server" rows="5" style="width: 379px"></textarea>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>&nbsp;</td>
                                            <td class="color-red">注意：请去掉行首的"&lt;tr&gt;&lt;th&gt;"与行尾的"&lt;&frasl;th&gt;&lt;&frasl;tr&gt;"，如果为空（默认）则使用自定义的单行表头。</td>
                                        </tr>
                                    </table>
                                    <div id="setHeaderMessage" runat="server" role="alert" class="alert alert-success" style="margin-top: 10px; margin-bottom: 0; padding: 0 10px; font-family: Tahoma; display: none">
                                        <img id="setHeaderCheck" runat="server" alt="T/F" src="Images/ok.png" />
                                        <span id="setHeaderTips" runat="server" style="vertical-align: middle"></span>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div class="modal-footer">
                            <asp:UpdatePanel ID="UpdatePanelSetHeader2" runat="server">
                                <ContentTemplate>
                                    <asp:Button ID="ButtonSetHeaderOk" CssClass="btn btn-primary btn-sm" runat="server" Text="确定" OnClick="ButtonSetHeaderOk_Click" />
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>
    </form>
</body>
</html>
